#include <iostream>

using namespace std;

int main(void) {
	int decimale;
	
	cout << "Inserisci un numero decimale: ";
	cin >> decimale;
	
	if (decimale < 0 || decimale > 255) {
		cout << "Numero decimale non valido!" << endl;
		return 0;
	}
	
	int binario[9] = {0};
	int i = 0;
	
    while (decimale > 0 && i < 9) {
        binario[i++] = (decimale % 2);
        decimale = decimale / 2;
    }
    binario[i] = '\0';
	
	cout << "Numero binario: ";
    for (int j = 0; j < 8 - i; j++) {
		cout << "0";
	}
	
    for (int j = i - 1; j >= 0; j--) {
    	cout << binario[j];
	}
	cout << endl;
	
	return 0;
}